
Installer - Feature #3710

Configure Kerberos/mod_auth_kerb with a keytab for Foreman web UI

11/21/2013 01:57 PM - Dominic Cleal

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Following on from #3312, we now have support for mod_auth_kerb in Foreman core so can add installer support to configure httpd

as per http://projects.theforeman.org/projects/foreman/wiki/Foreman_and_mod_auth_kerb.

Related issues:

Related to Installer - Feature #2015: Support for external CA to puppetmaster New 12/05/2012

Related to Foreman - Feature #3312: Make it possible to use the REMOTE_USER /... Closed 10/17/2013

Related to Installer - Feature #6445: External authentication via FreeIPA sho... Closed 06/30/2014

History

#1 - 11/21/2013 01:57 PM - Dominic Cleal

- Related to Feature #2015: Support for external CA to puppetmaster added

#2 - 11/21/2013 01:57 PM - Dominic Cleal

- Description updated

#3 - 05/18/2017 07:02 PM - Anonymous

related: https://github.com/theforeman/puppet-foreman/pull/516/files

#4 - 12/02/2020 05:27 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Resolved

This was implemented in #6445.

#5 - 12/02/2020 05:27 PM - Ewoud Kohl van Wijngaarden

- Related to Feature #3312: Make it possible to use the REMOTE_USER / sso/apache.rb authentication with mod_auth_kerb added

#6 - 12/02/2020 05:28 PM - Ewoud Kohl van Wijngaarden

- Related to Feature #6445: External authentication via FreeIPA should be configurable with foreman-installer added

Powered by TCPDF (www.tcpdf.org)

05/19/2024 1/1

https://projects.theforeman.org/issues/3312
http://projects.theforeman.org/projects/foreman/wiki/Foreman_and_mod_auth_kerb
https://github.com/theforeman/puppet-foreman/pull/516/files
https://projects.theforeman.org/issues/6445
http://www.tcpdf.org

